:root {
    --background: #0e1320;
    --border: #31436b;
    --content: #182035;
    --table: #202b47;
    --text: #b2d6ff;
    --dimtext: #5a7da7;
}

body {
    margin:0;
    padding:0;
    min-height:100vh;
    width:100%;
    background-color: var(--background);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow-x:hidden;
    overflow-y: scroll;
    padding-top: 20px;
    padding-bottom: 20px;
    box-sizing: border-box;
}

.panel {
    background-color: var(--content);
    border: 2px solid var(--border);
    border-radius: 10px;
    width: 900px;
    height:fit-content;
}


h1, h2, h3 {
    text-align: center;
    color: var(--text);
    font-family:Verdana, Geneva, Tahoma, sans-serif;
}

.separator {
    display: block;
    width:100%;
    margin-top: 10px;
    margin-bottom: 10px;
    height:2px;
    background-color: var(--border);
}

.hidden {
    display: none !important;
}

/* Buttons */
button:active {
    /* color:var(--background); */
    /* background-color: var(--text); */
    border-color: var(--text);
}
.button_cancel {
    width:30px;
    height:30px;
    background-color:rgba(0, 0, 0, 0);
    color:var(--dimtext);
    border: none;
}
.button_cancel:hover {
    background-color: rgba(0, 0, 0, 0);
    color:var(--text);
}
.button_cancel:active {
    color:var(--dimtext);
}
button {
    display: inline;
    margin-left: 50%;
    transform: translateX(-50%);
    background-color: var(--background);
    border: 2px solid var(--border);
    color: var(--text);
    width:100px;
    height:30px;
    border-radius: 5px;
}
button:hover {
    background-color: var(--border);
    cursor: pointer;
}
button:disabled {
    background-color: var(--content) !important;
    color:var(--border) !important;
    cursor:no-drop !important;
    border-color: var(--border) !important;
}